# POST /higgsfield/ads

**Method**: `POST`
**Endpoint**: `/higgsfield/ads`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
product_placement_sample_id
string
Required
  // provider-specific example normalized for English documentation
image
array
[string]
Required
  // provider-specific example normalized for English documentation
size
string
  // provider-specific example normalized for English documentation
Optional
Example:
1024x1024
Example
{
"product_placement_sample_id"
:
"string"
,
"image"
:
[
"string"
]
,
"size"
:
"1024x1024"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/higgsfield/ads' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "product_placement_sample_id": "string",
    "image": [
        "string"
    ],
    "size": "1024x1024"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Optional
Task ID, used for subsequent status queries
```

#### Example

```json
{
    "id": "aca6c73e-aa4c-47bb-aa62-a100a0f7dd22"
}
```
